package com.trade.service.thirdparty.sop.dto;


import com.trade.service.thirdparty.sop.util.SOPConstantUtil;

/**
 * SOP 基础请求实体
 */
public class SOPBasicRequest {

    /* 接口编号 */
    private String transCode;
    /* 用户标识 调用sop系统的用户身份，电理通默认为ecommerce */
    private String customerId = SOPConstantUtil.SOP_CUSTOMER_ID;
    /* 企业唯一标识 */
    private String enterpriseIdentity;
    /* C端用户id 保存接口日志使用，非sop要求传输字段 */
    private Long userId;

    public String getTransCode() {
        return transCode;
    }

    public void setTransCode(String transCode) {
        this.transCode = transCode;
    }

    public String getCustomerId() {
        return customerId;
    }

    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    public String getEnterpriseIdentity() {
        return enterpriseIdentity;
    }

    public void setEnterpriseIdentity(String enterpriseIdentity) {
        this.enterpriseIdentity = enterpriseIdentity;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }
}
